Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Topics - mkmaster78

Pages: [1]
1
It would appear that .NET Core Runtime 2.2.6 (the newly released one) is being detected as applicable on machines that have the Hosting bundle installed, which previously you all had prevented.  Is this intentional or should it be fixed again?  I've attached an image from a report showing what I mean.

2
Archived Feature and Product Request / Azure DevOps Server 2019
« on: May 16, 2019, 12:28:30 PM »
Microsoft isn't making these updates available in catalog or WSUS, so I'm hoping you all can help.
Here's a recent post that gives links to the update as well as some initial detection info: https://devblogs.microsoft.com/devops/may-security-release-patches-available-for-azure-devops-server-2019-tfs-2018-3-2-tfs-2018-1-2-tfs-2017-3-1-and-tfs-2015-4-2/

Please let me know if I can help further.

3
The .NET Core Runtime and Hosting Bundle Detection methods need updating I think.  After an update, many machines don't detect unless I run a repair install after and then rescan again, though they in fact installed fine the first time.

Here's what I can tell based on the detection methods in SCUP and what's present on the machine:
There are 4 sets of detections in an OR statement, each of which contains 3 detections in an AND group
Set 1 Detection Method:
a) HKLM\SOFTWARE\dotnet\Setup\InstalledVersions\x86\sharedhost\Version exists
b) HKLM\SOFTWARE\dotnet\Setup\InstalledVersions\x86\sharedhost\Version string is >= '2.2.4.0'
c) HKLM\SOFTWARE\Microsoft\Updates\.NET Core exists

Set 2 Detection Method:
a) HKLM\SOFTWARE\WOW6432Node\dotnet\Setup\InstalledVersions\x86\sharedhost\Version exists
b) HKLM\SOFTWARE\WOW6432Node\dotnet\Setup\InstalledVersions\x86\sharedhost\Version string is >= '2.2.4.0'
c) HKLM\SOFTWARE\WOW6432Node\Microsoft\Updates\.NET Core exists

Set 3 Detection Method:
a) HKLM\SOFTWARE\dotnet\Setup\InstalledVersions\x64\sharedhost\Version exists
b) HKLM\SOFTWARE\dotnet\Setup\InstalledVersions\x64\sharedhost\Version string is >= '2.2.4.0'
c) HKLM\SOFTWARE\Microsoft\Updates\.NET Core exists

Set 4 Detection Method:
a) HKLM\SOFTWARE\WOW6432Node\dotnet\Setup\InstalledVersions\x64\sharedhost\Version exists
b) HKLM\SOFTWARE\WOW6432Node\dotnet\Setup\InstalledVersions\x64\sharedhost\Version string is >= '2.2.4.0'
c) HKLM\SOFTWARE\WOW6432Node\Microsoft\Updates\.NET Core exists

Results on machine not detecting (update is installed, but repair not done):
Set 1:
a) Does not exist
b) Does not exist, so comparison no good
c) Does not exist

Set 2:
a) Exists
b) 2.1.5
c) Exists

Set 3:
a) Exists
b) 2.2.4
c) Does not exist

Set 4:
a) Does not exist
b) Does not exist, so comparison no good
c) Exists

Same box after repair install performed:
Set 1:
a) Does not exist
b) Does not exist, so comparison no good
c) Does not exist

Set 2:
a) Exists
b) 2.2.4
c) Exists
Detection occurs because of this set

Set 3:
a) Exists
b) 2.2.4
c) Does not exist

Set 4:
a) Does not exist
b) Does not exist, so comparison no good
c) Exists

These detections seem to work about 85-90% of the time, but not always.  The example machine for this is an x64 Server Core 2016 system.  Please let me know if I can help provide more information.

4
Archived Feature and Product Request / SQL Server Reporting Services 2017
« on: September 11, 2018, 11:37:41 AM »
Microsoft separated SQL Server and its Reporting Services component, but now there's no automatic update or WSUS product to update it with.  It's freely available to get the installer (though you need a product key for new installs - there is an evaluation period though -, no product key is required for updates) from here: https://www.microsoft.com/en-us/download/details.aspx?id=55252
Could this be added to the catalog?

5
When you guys consolidated all the updates to be under one Publisher and one Product, it left a whole bunch of products and publishers in WSUS.  Is there anyway to remove these products and publishers from WSUS's catalog completely, just for cleanliness sake?



6
GoToMeeting 8.33.0 is being detected as required on all machines, regardless of whether a lower version is installed or not.

7
The FileZilla Client 3.36.0 (x64) and FileZilla Client 3.36.0 (x86) fail to publish in SCUP due to file download hash issues. SCUP Logs below:

Code: [Select]
Retrieving content for update 'FileZilla Client 3.36.0 (x64) (UpdateId:'874bca15-6b01-4e20-bd29-9f63fc211386' Vendor:'Patch My PC' Product:'SCUP Updates')'. NormalPublishItem 8/29/2018 9:57:54 AM 7916 (0x1EEC)
--- Content will be saved to C:\Users\SCUP\AppData\Local\Temp\rwzz51ve.zm2\FileZilla_3.36.0_win64-setup.exe. NormalPublishItem 8/29/2018 9:57:54 AM 7916 (0x1EEC)
WebClient reporting progress for download of file https://dl3.cdn.filezilla-project.org/client/FileZilla_3.36.0_win64-setup.exe 8017 / -1 0% WebClientWrapper 8/29/2018 9:57:55 AM 7312 (0x1C90)
Download Content: file was downloaded successfully. NormalPublishItem 8/29/2018 9:57:55 AM 7916 (0x1EEC)
Successfully retrieved content for software update 'FileZilla Client 3.36.0 (x64) (UpdateId:'874bca15-6b01-4e20-bd29-9f63fc211386' Vendor:'Patch My PC' Product:'SCUP Updates')' to local file: C:\Users\SCUP\AppData\Local\Temp\rwzz51ve.zm2\FileZilla_3.36.0_win64-setup.exe NormalPublishItem 8/29/2018 9:57:55 AM 7916 (0x1EEC)
--- Digest verification failed on content for software update 'FileZilla Client 3.36.0 (x64) (UpdateId:'874bca15-6b01-4e20-bd29-9f63fc211386' Vendor:'Patch My PC' Product:'SCUP Updates')'. NormalPublishItem 8/29/2018 9:57:55 AM 7916 (0x1EEC)
--- Publish of software update 'FileZilla Client 3.36.0 (x64) (UpdateId:'874bca15-6b01-4e20-bd29-9f63fc211386' Vendor:'Patch My PC' Product:'SCUP Updates')' has FAILED. NormalPublishItem 8/29/2018 9:57:55 AM 7916 (0x1EEC)
Refreshing updates view... UpdatesViewModel 8/29/2018 9:57:55 AM 7376 (0x1CD0)
Refreshing updates view completed. UpdatesViewModel 8/29/2018 9:57:56 AM 7376 (0x1CD0)


8
If possible, could you please add the .NET Core and Hosting Runtime Bundle along with your other .NET Core offerings?
Download can be found on this page: https://www.microsoft.com/net/download/dotnet-core/2.1

Thanks for your time.

9
The versions you guys are publishing are betas and the betas are buggy and causing issues (have stopped publishing them for now to prevent further problems).  Is there a way to get these updates that contain betas configured so they won't update where a beta version isn't already installed? That or only publish released versions?

10
It would be great if you guys could add .NET Core and PowerShell Core to your updates catalog:
https://github.com/powershell/powershell
https://github.com/dotnet/core

Please let me know if I can do anything to help.

Pages: [1]